require 'rails'
require 'carrierwave'

module CarrierwaveDelay

    require 'carrierwave-delay/version'

    class Railtie < Rails::Railtie
        initializer 'carrierwave-delay.active_record' do
            ActiveSupport.on_load :active_record do
                Sidekiq::Extensions.enable_delay! if defined? Sidekiq
                require 'carrierwave/delay'
                require 'carrierwave-delay/model'
                include CarrierWaveDelay::Model
            end
        end
    end

end
