module CarrierWave
    module Delay

        extend ActiveSupport::Concern

        def is_processing_delayed? img = nil
            !! @is_processing_delayed
        end

        def is_processing_immediate? img = nil
            ! is_processing_delayed?
        end

        def is_processing_delayed= value
            @is_processing_delayed = value
        end

    end
end

# CarrierWave::Uploader::Versions.send :include, CarrierWave::Uploader::Versions::Delay
